import React from 'react'
import Logo from './Logo'
import facebook from '../../icons/facebook.png';
import gmail from '../../icons/gmail.png';
import linkedin from '../../icons/linkedin.png';
import twitter from '../../icons/twitter.png';

interface ISocialMediaList {
    logo?: any,
    name?: string,
    url?: string,
    className?: string
}

const SocialMediaList = (props:ISocialMediaList) => {
    const {logo, name, url, className="flex flex-col gap-y-2"} = props;
    const list = [
        {
            logo: facebook,
            name: "facebook"
        },
        {
            logo: gmail,
            name: "gmail"
        },
        {
            logo: linkedin,
            name: "linkedin"
        },
        {
            logo: twitter,
            name: "twitter"
        },
    ]
    return (
        <div className={className}>
            {
                list.map((item:any, key:number) => {
                    return (
                        <div className={`border`} key={key}>
                            <div className="">
                                <Logo image={item.logo} title={item.name} className={"w-20"}/>
                            </div>
                        </div>
                    )
                })
            }
        </div>
    )
}

export default SocialMediaList
