import React from 'react'
import { Content } from "@onegeo/gatsby-theme-onegeo";
import { SocialMediaList } from "@onegeo/gatsby-theme-onegeo";
import { Link } from "gatsby";



const socialmedialist = () => {
  return (
    <Content>
      <div className="prose">
        <Link to="/doc/core">Retour</Link>

        <h1>List resaux sociaux</h1>
        <h2>Props</h2>
        <div className="mockup-code">
          <pre>
            <code>
              {`
              interface ISocialMediaList {
                logo?: any,
                name?: string,
                url?: string,
                className?: string
            }

            const list = [
                {
                    logo: facebook,
                    name: "facebook"
                },
                {
                    logo: gmail,
                    name: "gmail"
                },
                {
                    logo: linkedin,
                    name: "linkedin"
                },
                {
                    logo: twitter,
                    name: "twitter"
                },
            ]

              query MyQuery {
                api {
                  partners {
                    id
                    logo_url
                    name
                    url
                    created_at
                    updated_at
                  }
                }
              }
              `}
            </code>
          </pre>
        </div>

        <h2>Example</h2>
      </div>
      <div className="flex gap-6 m-4">
        <SocialMediaList  />
      </div>
    </Content>
  )
}

export default socialmedialist
